public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/App-Cmd/
Date: Mon, 13 Feb 2012 18:04:31 +0000 (UTC)	[thread overview]
Message-ID: <1329058788.ded9333f6084002f389c61a46fed98e68120d74c.kent@gentoo> (raw)

commit:     ded9333f6084002f389c61a46fed98e68120d74c
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Sun Feb 12 14:59:48 2012 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Sun Feb 12 14:59:48 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=ded9333f

[newversion] App-Cmd-0.316.0

(Portage version: 2.2.0_alpha85/git/Linux x86_64, signed Manifest commit with key 4132B87441EA24A4EB5E6DE181EC638ED7AE97A6)

---
 dev-perl/App-Cmd/App-Cmd-0.316.0.ebuild |   76 +++++++++++++++++++++++++++++++
 dev-perl/App-Cmd/ChangeLog              |    5 ++
 2 files changed, 81 insertions(+), 0 deletions(-)

diff --git a/dev-perl/App-Cmd/App-Cmd-0.316.0.ebuild b/dev-perl/App-Cmd/App-Cmd-0.316.0.ebuild
new file mode 100644
index 0000000..c5657a7
--- /dev/null
+++ b/dev-perl/App-Cmd/App-Cmd-0.316.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=RJBS
+MODULE_VERSION=0.316
+inherit perl-module
+
+DESCRIPTION='write command line apps with less suffering'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+	# ExtUtils::MakeMaker 6.30 ( 6.300.0 )
+	echo \>=virtual/perl-ExtUtils-MakeMaker-6.30
+}
+perl_meta_runtime() {
+	# Capture::Tiny 0.13 ( 0.130.0 )
+	echo \>=dev-perl/Capture-Tiny-0.130.0
+	# Carp
+	echo dev-lang/perl
+	# Class::Load 0.06 ( 0.60.0 )
+	echo \>=dev-perl/Class-Load-0.06
+	# Data::OptList
+	echo dev-perl/Data-OptList
+	# File::Basename
+	echo dev-lang/perl
+	# Getopt::Long::Descriptive 0.084 ( 0.84.0 )
+	echo \>=dev-perl/Getopt-Long-Descriptive-0.84.0
+	# IO::TieCombine
+	echo dev-perl/IO-TieCombine
+	# Module::Pluggable::Object
+	echo virtual/perl-Module-Pluggable
+	# String::RewritePrefix
+	echo dev-perl/String-RewritePrefix
+	# Sub::Exporter
+	echo dev-perl/Sub-Exporter
+	# Sub::Exporter::Util
+	echo dev-perl/Sub-Exporter
+	# Sub::Install
+	echo dev-perl/Sub-Install
+	# Text::Abbrev
+	echo dev-lang/perl
+	# constant
+	# echo virtual/perl-constant
+	# parent
+	echo virtual/perl-parent
+	# perl 5.006 ( 5.6.0 )
+	echo \>=dev-lang/perl-5.6.0
+	# strict
+	echo dev-lang/perl
+	# warnings
+	echo dev-lang/perl
+}
+perl_meta_test() {
+	# Data::Dumper
+	echo virtual/perl-Data-Dumper
+	# IPC::Cmd
+	echo virtual/perl-IPC-Cmd
+	# Test::Fatal
+	echo dev-perl/Test-Fatal
+	# Test::More 0.96 ( 0.960.0 )
+	echo \>=virtual/perl-Test-Simple-0.96
+	# base
+	#echo virtual/perl-base
+}
+DEPEND="
+	$(perl_meta_configure)
+	$(perl_meta_runtime)
+	test? ( $(perl_meta_test) )
+"
+RDEPEND="
+	$(perl_meta_runtime)
+"
+SRC_TEST="do"

diff --git a/dev-perl/App-Cmd/ChangeLog b/dev-perl/App-Cmd/ChangeLog
index e211853..d215d93 100644
--- a/dev-perl/App-Cmd/ChangeLog
+++ b/dev-perl/App-Cmd/ChangeLog
@@ -2,6 +2,11 @@
 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*App-Cmd-0.316.0 (12 Feb 2012)
+
+  12 Feb 2012; Kent Fredric <kentfredric@gmail.com> +App-Cmd-0.316.0.ebuild:
+  Version Bump
+
 *App-Cmd-0.315.0 (11 Feb 2012)
 
   11 Feb 2012; Kent Fredric <kentfredric@gmail.com> +App-Cmd-0.315.0.ebuild:



             reply	other threads:[~2012-02-13 18:04 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-02-13 18:04 Kent Fredric [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-06-13 15:21 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/App-Cmd/ Kent Fredric
2015-03-26 22:05 Kent Fredric
2013-02-05 12:24 Kent Fredric
2012-05-07  5:19 Kent Fredric
2012-03-27  9:30 Kent Fredric
2012-02-11 13:45 Kent Fredric
2012-02-08 13:55 Kent Fredric
2012-01-07  5:29 Kent Fredric
2012-01-07  5:29 Kent Fredric
2011-08-26  9:33 Kent Fredric
2011-04-23 14:47 [gentoo-commits] proj/perl-overlay:perl514 " Kent Fredric
2011-04-23 14:45 ` [gentoo-commits] proj/perl-overlay:master " Kent Fredric
2011-03-18  2:57 Kent Fredric
2011-03-18  2:57 Kent Fredric

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1329058788.ded9333f6084002f389c61a46fed98e68120d74c.kent@gentoo \
    --to=kentfredric@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox